#ifndef MYSCENE_H
#define MYSCENE_H

#include <QGraphicsScene>
#include <QPainterPath>

class QBrush;
class QGraphicsPathItem;
class QPen;
class QPointF;
class QWidget;

class MyWorm;

class MyScene : public QGraphicsScene
{
	Q_OBJECT

	public:
		MyScene(QWidget *pParent = 0);

		void toggleWorm(const QPointF & pos);
		void followCursor(const QPointF & pos);
	
	private:
		static const int SEGMENT_SIZE;
		static const int INIT_SEGMENTS;

		MyWorm *m_pWormDude;
		bool m_bShowWorm;
};

#endif
