#ifndef MYVIEW_H
#define MYVIEW_H

#include <QGraphicsView>

class QGraphicsScene;
class QWidget;

class MyScene;

class MyView : public QGraphicsView
{
	Q_OBJECT

	public:
		MyView(MyScene *pScene, QWidget *pParent = 0);
	
	protected:
		virtual void mouseMoveEvent(QMouseEvent *pEvent);
		virtual void mousePressEvent(QMouseEvent *pEvent);
		virtual void mouseReleaseEvent(QMouseEvent *pEvent);
	
	private:
		MyScene *m_pMyScene;
};

#endif
